http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadataAdds one or more custom properties to the specified resource (a folder, document, or version).
The ID of the resource.
The ID of the version, if the custom metadata is being added to a document version.
Custom metadata in the form of name-value pairs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadata' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadataAdds one or more custom properties to the specified resource (a folder, document, or version).
The ID of the resource.
The ID of the version, if the custom metadata is being added to a document version.
Custom metadata in the form of name-value pairs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadata' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}